///////////////////////////////////////////////////////////////////////////////////////////////////
//
// Theresa core library
// Copyright (C) 2001 Camilla Drefvenborg <elmindreda@home.se>
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
///////////////////////////////////////////////////////////////////////////////////////////////////

#define THFORMAT(buffer, format) \
	{ \
		va_list vl; \
		va_start(vl, format); \
		vsprintf(buffer, format, vl); \
		va_end(vl); \
	}

#define THSAFEFORMAT(buffer, size, format) \
	{ \
		va_list vl; \
		va_start(vl, format); \
		if (vsnprintf(buffer, size, format, vl) < 0) \
			buffer[size - 1] = '\0'; \
		va_end(vl); \
	}

///////////////////////////////////////////////////////////////////////////////////////////////////
